source 'https://rubygems.org'

# Declare your gem's dependencies in dunlop.gemspec.
# Bundler will treat runtime dependencies like base dependencies, and
# development dependencies will be added by default to the :development group.
#
git_source(:gitlab) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "git@gitlab.com:#{repo_name}.git"
end

gemspec

gem "rails", "~> 5.1"

group :development, :test do
  gem 'bootsnap', require: false
  gem 'rspec-rails'
  gem 'sqlite3'
  gem 'pry-rails'
  gem 'pry-doc'
  gem 'kaminari'
  gem 'spring'
  gem 'spring-commands-rspec'
  gem 'semantic-ui-sass'
  gem 'foundation-rails', '~> 5.4'
  gem "select2-rails"
  gem 'puma'
  gem 'paperclip', '~> 5.3'
  gem 'dunlop-ember', gitlab: 'benja-2/dunlop-ember', branch: 'master'

  #gem 'carrierwave'
  #gem 'fog-aws'
  gem 'uuidtools'
end

gem 'jquery-rails'
gem 'high_voltage'

group :test do
  gem 'timecop'
  gem "generator_spec"
  gem "capybara"
  gem 'capybara-screenshot'
  gem 'poltergeist'
  gem 'factory_bot_rails'
  gem 'database_cleaner'
  gem 'rspec-its'
end
